/* ================================ *\
            Typegraphy
\* ================================ */

////
/// @group text
////

/// define headline font
/// @param {string} $font-weight ['regular'] font weight
/// @param {string} $color [$color-headline] font color
@mixin _font-headline($color: var(--color-headline)) {
    @include _text-rendering;

    font-family: $font-serif;
    font-weight: 400;
    font-style: italic;
    line-height: 1.2;
    color: $color;
}

/// define paragraph font
/// @param {string} $font-weight ['regular'] font weight
/// @param {string} $color [$color-headline] font color
@mixin _font-paragraph($fontWeight: 'regular', $color: var(--color-paragraph)) {
    @include _text-rendering;

    font-family: $font-serif;
    font-weight: map_get($font-weight, $fontWeight);
    font-style: normal;
    line-height: 1.3;
    color: $color;

    strong {
        font-weight: map_get($font-weight, 'bold');
    }
}

/// define button font
/// @param {string} $font-weight ['regular'] font weight
/// @param {string} $color [$color-headline] font color
@mixin _font-button($fontWeight: 'bold', $color: var(--color-paragraph)) {
    @include _text-rendering;

    font-family: $font-sans;
    font-weight: map_get($font-weight, $fontWeight);
    font-style: normal;
    line-height: 1.1;
    color: $color;
}

